## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CrystalSpace::SoftShader::iScanlineRenderer::RenderInfoTriangle Struct Reference

Information for setting up rendering a triangle, filled by the scanline renderer. More...

`#include <csplugincommon/softshader/scanline.h>`

List of all members.

## Public Attributes

BuffersMask | denormBuffers
| Buffers to denormalize.
csVector4 * | denormFactors
| Factors for buffer denormalization.
ScanlineProc | proc
| Scanline function.

## Detailed Description

Information for setting up rendering a triangle, filled by the scanline renderer.

Definition at line 83 of file scanline.h.

## Member Data Documentation

BuffersMask CrystalSpace::SoftShader::iScanlineRenderer::RenderInfoTriangle::denormBuffers

| Buffers to denormalize. Definition at line 90 of file scanline.h.

csVector4* CrystalSpace::SoftShader::iScanlineRenderer::RenderInfoTriangle::denormFactors

| Factors for buffer denormalization. Definition at line 88 of file scanline.h.

ScanlineProc CrystalSpace::SoftShader::iScanlineRenderer::RenderInfoTriangle::proc

| Scanline function. Definition at line 86 of file scanline.h.

The documentation for this struct was generated from the following file:

- csplugincommon/softshader/scanline.h